MolecularOrbital
Date: 2019-10-22

org.jmol.shapesurface

## Class MolecularOrbital

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.MeshCollection
    - - org.jmol.shapesurface.Isosurface
      - - org.jmol.shapesurface.MolecularOrbital

- All Implemented Interfaces:
    MeshDataServer, VertexDataServer
  Direct Known Subclasses:
    NBO

      public class MolecularOrbital
      extends Isosurface

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Object>>` | `htModels`
    `private java.lang.Integer` | `moColorNeg`
    `private java.lang.Integer` | `moColorPos`
    `private java.lang.Float` | `moCutoff`
    `private boolean` | `moDebug`
    `private int` | `moDots`
    `private int` | `moFill`
    `private int` | `moFrontOnly`
    `private boolean` | `moIsPositiveOnly`
    `private float[]` | `moLinearCombination`
    `private int` | `moMesh`
    `private java.lang.Integer` | `moMonteCarloCount`
    `private int` | `moNumber`
    `private javajs.util.P4` | `moPlane`
    `private java.lang.Integer` | `moRandomSeed`
    `private java.lang.Float` | `moResolution`
    `private java.lang.Float` | `moScale`
    `private int` | `moShell`
    `private javajs.util.Lst<java.lang.Object>` | `moSlab`
    `private java.lang.Integer` | `moSlabValue`
    `private java.lang.Boolean` | `moSquareData`
    `private java.lang.Boolean` | `moSquareLinear`
    `private java.lang.String` | `moTitleFormat`
    `private java.lang.String` | `moTranslucency`
    `private java.lang.Float` | `moTranslucentLevel`
    `private int` | `myColorPt`
    `private java.lang.String` | `nboType`
    `private java.lang.String` | `strID`
    `private java.util.Map<java.lang.String,java.lang.Object>` | `thisModel`

    - ### Fields inherited from class org.jmol.shapesurface.Isosurface

      `allowMesh, iHaveBitSets, isomeshes, jvxlData, keyXy, sg, thisMesh`

    - ### Fields inherited from class org.jmol.shape.MeshCollection

      `bsDisplay, colix, color, connections, currentMesh, displayWithinDistance2, displayWithinPoints, explicitID, htObjects, isDisplayWithinNot, isFixed, linkedMesh, meshCount, meshes, modelIndex, nUnnamed, pickedMesh, pickedModel, pickedPt, pickedVertex, PREVIOUS_MESH_ID, previousMeshID, title`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MolecularOrbital()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clearSg()`
    `private java.lang.String` | `getId(int modelIndex)`
    `java.lang.String` | `getMoInfo(int modelIndex)`
    `java.lang.Object` | `getProperty(java.lang.String propertyName, int index)`
    `private boolean` | `getSettings(java.lang.String strID)`
    `java.lang.String` | `getShapeState()`
    `void` | `initShape()`
    `void` | `merge(MeshCollection shape)` called by ParallelProcessor at completion
    `private void` | `setOrbital(int moNumber, float[] linearCombination)`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bs)`

    - ### Methods inherited from class org.jmol.shapesurface.Isosurface

      `addMeshInfo, addRequiredFile, addTriangleCheck, addVertexCopy, allocMesh, calculateGeodesicSurface, checkObjectClicked, checkObjectHovered, discardTempData, fillMeshData, getCapSlabInfo, getCmd, getPlane, getPolygonColorData, getPropertyData, getPropI, getShapeDetail, getSurfacePointIndexAndFraction, getValue, invalidateTriangles, newSg, notifySurfaceGenerationCompleted, notifySurfaceMappingCompleted, setOutputChannel, setPropI, setRequiredFile, setScriptInfo, slabPolygons`

    - ### Methods inherited from class org.jmol.shape.MeshCollection

      `checkExplicit, clean, deleteMeshI, deleteMeshKey, getIndexFromName, getMesh, getMeshList, getPickedPoint, getPropDataMC, getPropMC, resetObjects, setModelVisibilityFlags, setPropMC, setStatusPicked, setTokenProperty`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getPropShape, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### moTranslucency

          private java.lang.String moTranslucency

    - #### moTranslucentLevel

          private java.lang.Float moTranslucentLevel

    - #### moPlane

          private javajs.util.P4 moPlane

    - #### moCutoff

          private java.lang.Float moCutoff

    - #### moResolution

          private java.lang.Float moResolution

    - #### moScale

          private java.lang.Float moScale

    - #### moColorPos

          private java.lang.Integer moColorPos

    - #### moColorNeg

          private java.lang.Integer moColorNeg

    - #### moMonteCarloCount

          private java.lang.Integer moMonteCarloCount

    - #### moIsPositiveOnly

          private boolean moIsPositiveOnly

    - #### moSquareData

          private java.lang.Boolean moSquareData

    - #### moSquareLinear

          private java.lang.Boolean moSquareLinear

    - #### moRandomSeed

          private java.lang.Integer moRandomSeed

    - #### moFill

          private int moFill

    - #### moMesh

          private int moMesh

    - #### moDots

          private int moDots

    - #### moFrontOnly

          private int moFrontOnly

    - #### moShell

          private int moShell

    - #### moTitleFormat

          private java.lang.String moTitleFormat

    - #### moDebug

          private boolean moDebug

    - #### myColorPt

          private int myColorPt

    - #### strID

          private java.lang.String strID

    - #### moNumber

          private int moNumber

    - #### moLinearCombination

          private float[] moLinearCombination

    - #### htModels

          private java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Object>> htModels

    - #### thisModel

          private java.util.Map<java.lang.String,java.lang.Object> thisModel

    - #### moSlab

          private javajs.util.Lst<java.lang.Object> moSlab

    - #### moSlabValue

          private java.lang.Integer moSlabValue

    - #### nboType

          private java.lang.String nboType

  - ### Constructor Detail

    - #### MolecularOrbital

          public MolecularOrbital()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Overrides:
        `initShape` in class `Isosurface`

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bs)

      Overrides:
        `setProperty` in class `Isosurface`

    - #### getId

          private java.lang.String getId(int modelIndex)

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String propertyName,
                                              int index)

      Overrides:
        `getProperty` in class `Isosurface`
      Returns:
        true if serviced

    - #### getMoInfo

          public java.lang.String getMoInfo(int modelIndex)

    - #### clearSg

          protected void clearSg()

      Overrides:
        `clearSg` in class `Isosurface`

    - #### getSettings

          private boolean getSettings(java.lang.String strID)

    - #### setOrbital

          private void setOrbital(int moNumber,
                                  float[] linearCombination)

    - #### getShapeState

          public java.lang.String getShapeState()

      Overrides:
        `getShapeState` in class `Isosurface`

    - #### merge

          public void merge(MeshCollection shape)

      Description copied from class: `MeshCollection`
      called by ParallelProcessor at completion
      Overrides:
        `merge` in class `MeshCollection`